import std/strutils
import std/math
import std/sugar

import types

func isComment*(line: string): bool =
  return line.startsWith(";")

func isLayerChange*(line: string): bool =
  return line.startsWith(";LAYER_CHANGE")

func stripComment*(line: string): string =
  return line[1 .. ^1]

func isFeature*(line: string): bool =
  return line.startsWith(";TYPE")

func stripFeature*(line: string): Feature =
  for i in Feature:
    if line[6 .. ^1] == $i:
      return i
  return Feature.other

func formatMove*(input: float64): string =
  ## Round to whole number if possible, otherwise, round to 5 places
  ## with zeros trimmed
  if input == input.round:
      return $input.int
  else:
    return input.round(5).formatFloat(ffDecimal, 5).dup(trimZeros)
